Subject: [dhcwg] London Agenda Item - was RE: WGLC summary on draft-ietf-dhc-dhcpv6-stateful-issues-05: Failed

From: "Bernie Volz (volz)" <[email-masked]>
Date: Tue, 11 Feb 2014 19:53:10 +0000

I request a 10 minute slot at IETF-89 for the stateful-issues draft and next steps. The main goal will be to:
1. Determine if there is sufficient interest to continue this work or abandon it.
2. For sufficient interest, I think we need least 5 people will need to agree to seriously review the document by March 31st. Note that this is more than just saying "+1" in an email - there are always issues with a document.
--> NOTE: Anyone willing to volunteer now should let Ole and me (and Tomek) know.

There are two known issues that should be addressed in an 06, but both are fairly minor:
1. Acknowledgements section (7.0) is empty. This needs to be filled in (or removed).
2. Release Message section (4.7) needs some work, including potentially a title change. Text currently is:

  4.7.  Release Message

     A client can release any individual lease at any time.  A client can
     get "back" a lease by using a Renew message.  It MAY do this at any
     time, though must avoid creating a Renew storm.  E.g. wait until T1.

But mixing the release and renew is less than optimum. Once released, a Renew is obviously not valid. We may want to remove this section as I'm not sure what purpose it serves and I think 3315/3633 are already clear on Release and Renew processing?

There is also the new issue that Tim Winters (UNH) recently raised which we may want to consider for inclusion - what is the proper behavior for a client when the Reply includes both an address and prefix, but the client determines that the address is unusable and must Decline it - what should it do about the prefix.

- Bernie

-----Original Message-----
From: Tomek Mrugalski [mailto:[email-masked]] 
Sent: Tuesday, February 11, 2014 2:39 PM
To: [email-masked]
Cc: Bernie Volz (volz); Ole Trøan
Subject: WGLC summary on draft-ietf-dhc-dhcpv6-stateful-issues-05: Failed

On 20.01.2014 20:05, Tomek Mrugalski wrote:
> Since Bernie is co-author, I'll manage this work group last call on my 
> own. Authors believe that stateful-issues-05 draft is ready for WG 
> last call. Please post your comments no later than on February 3rd.
I'm sorry to announce that this document has failed its WGLC. There were only three responses, one of them being from an author. I'm sorry, but this is not enough to pass a last call.

With my chair hat off, I'm very disappointed at this. This is a very good document and essential stepping stone that would help a lot with 3315bis work. We had a discussion with Bernie about why people didn't respond to this. Perhaps there are too many WGLC/adoption calls lately, so people are not able to cope up with the pace? Did people lost interest in this work? That seems unlikely. Please keep in mind that the support is not transitive. If you voiced your support during adoption call, it does not imply that you still support that work during WGLC.
Perhaps there are too many other drafts being worked on at the same time? Would it be helpful if we stopped accepting any new work until existing drafts are done (or at least a majority of them)?

This document attempts to fix several protocol issues. This is especially depressing, since Timothy Winters, who is involved in DHCPv6 interop testing explicitly mentioned that there are real life interop issues observed. So this draft addressing a very real problem. It's not a theoretical type of thing.

I'll work with Bernie and Ole on the next steps. There will likely be a presentation about this draft in London.

Tomek